<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\KursVorschlag\KursKopie;

abstract class KursKopieController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  
  protected function getRequestObj()
  {
    $requestObj = new \Kufer\KuferTools\Basis\KursPlanung\KursKopie\KursKopieRequest();
    $requestObj->seite = \GetOperations::getVarValue('seite');
    $requestObj->aendereFilter = false;
    $requestObj->einstieg = \GetOperations::isDefined('einstiegKursKopie');
    $toolId = $this->getToolId();

    if ($requestObj->einstieg) {
      
      
      $suchApi = new \KurssuchAPIwSearch();
      $requestObj->suchParameter = $suchApi->getSearchParamsFromReq('tool' . $toolId, 'searchkurs');
    }

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Basis\KursPlanung\KursKopie\KursKopiePresenter($pUseCaseResponse);
  }

  
  abstract protected function getToolId();
}